Download the Older Nightly Build

Scala IDE Version 3.0.x, Nightly

The Scala IDE 3.0.x build contains fixes to be included in future maintenance releases of the 3.0 release.

Update Site for Eclipse 3.7 (Indigo)

Requirements

  • JDK 6 (JDK 7 can be used but there have been issues reported when using Eclipse 3.7 with Java 7, e.g., 1 or or 2 if you are on MacOSX - a workaround for the latter issue is described here).
  • Eclipse 3.7 (Indigo). Read here if you have questions about the supported Eclipse packages.

For Scala 2.10.x

(If you cannot use the update site, a downloadable local update site is available: zipfile, sha1sum)
Older builds are available

Update Site for Eclipse 3.8/4.2 (Juno)

If you are using Eclipse 3.8 or Eclipse 4.2, codename Juno, make sure to install this nightly.

Support Note

Support for the Eclipse 3.8 and Eclipse 4.2 platforms is done by the community at-large. The main development team provides support as possible, but it is not in its top priorities.

Requirements

For Scala 2.10.x

(If you cannot use the update site, a downloadable local update site is available: zipfile, sha1sum)
Older builds are available